/****************************************/
/*  MkdirDialog.c headers         	*/
/*					*/
/*  Description : Manage Mkdir (create a*/
/*                new directory) widget	*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __MKDIR_DIALOG_H__
#define __MKDIR_DIALOG_H__

/* to define a new widget */
#define MKDIR_DIALOG(obj)          GTK_CHECK_CAST (obj, mkdir_dialog_get_type(),MkdirDialog)
#define MKDIR_DIALOG_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, mkdir_dialog_get_type(), MkdirDialogClass)
#define IS_MKDIR_DIALOG(obj)       GTK_CHECK_TYPE (obj, mkdir_dialog_get_type ())

typedef struct _MkdirDialog      MkdirDialog;
typedef struct _MkdirDialogClass MkdirDialogClass;

/* the structure of a MkdirDialog */
struct _MkdirDialog
{
  GnomeDialog	Main;
  
  /* Destination path */
  gchar         *DestPath;
  
  GtkWidget     *name;
};

struct _MkdirDialogClass
{
   GnomeDialogClass parent_class;

   /* Add here all the signal we want */
   void (* new_dir) (MkdirDialog *pMkdirDialog,gchar *directory);
};

guint mkdir_dialog_get_type ();

GtkWidget *mkdir_dialog_new (gchar *DestPath);

#endif /* __MKDIR_DIALOG_H__ */
