/****************************************/
/*  PreferenceFileType.c headers        */
/*					*/
/*  Description : The file type part of */
/*		  the preference dialog	*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __PREFERENCE_FILE_TYPE_H__
#define __PREFERENCE_FILE_TYPE_H__

/* to define a new widget */
#define PREFERENCE_FILE_TYPE(obj)          GTK_CHECK_CAST (obj, preference_file_type_get_type(),PreferenceFileType)
#define PREFERENCE_FILE_TYPE_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, preference_file_type_get_type(), PreferenceFileTypeClass)
#define IS_PREFERENCE_FILE_TYPE(obj)       GTK_CHECK_TYPE (obj, preference_file_type_get_type ())

typedef struct _PreferenceFileType       PreferenceFileType;
typedef struct _PreferenceFileTypeClass  PreferenceFileTypeClass;

struct _PreferenceFileType
{
  GtkHBox main;
  
  GtkCList  *list;     /* the main clist */
  GtkWidget *addedit;  /* for the Addedit dialog when */
                       /* adding or editing a type.   */
  GtkWidget *add;      /* add button  */
  GtkWidget *edit;     /* edit button */
  GtkWidget *remove;   /* remove button */
  FileTypeList  *to_use_file_type;
};

struct _PreferenceFileTypeClass
{
  GtkHBoxClass parent_class;

  /* Add here all the signal we want */
};

guint preference_file_type_get_type ();

/* Create a new widget for the preference file type  */
/* Return : the widget			             */
GtkWidget *preference_file_type_new(GtkWidget *parent_window,FileTypeList *to_use_file_type);

#endif /* __PREFERENCE_FILE_TYPE_H__ */
