/****************************************/
/*  PreferenceSendTo.c headers          */
/*					*/
/*  Description : The send to part of   */
/*		  the preference dialog	*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __PREFERENCE_SEND_TO_H__
#define __PREFERENCE_SEND_TO_H__

/* to define a new widget */
#define PREFERENCE_SEND_TO(obj)          GTK_CHECK_CAST (obj, preference_send_to_get_type(),PreferenceSendTo)
#define PREFERENCE_SEND_TO_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, preference_send_to_get_type(), PreferenceSendToClass)
#define IS_PREFERENCE_SEND_TO(obj)       GTK_CHECK_TYPE (obj, preference_send_to_get_type ())

typedef struct _PreferenceSendTo       PreferenceSendTo;
typedef struct _PreferenceSendToClass  PreferenceSendToClass;

struct _PreferenceSendTo
{
  GtkHBox main;
  
  GtkCList   *list;     /* the main clist */
  GtkWidget  *addedit;  /* for the Addedit dialog when */
                        /* adding or editing a type.   */
  GtkWidget  *add;      /* add button  */
  GtkWidget  *edit;     /* edit button */
  GtkWidget  *remove;   /* remove button */
  SendToList *to_use_send_to;
};

struct _PreferenceSendToClass
{
  GtkHBoxClass parent_class;

  /* Add here all the signal we want */
};

guint preference_send_to_get_type();

/* Create a new widget for the preference send to    */
/* Return : the widget			             */
GtkWidget *preference_send_to_new(GtkWidget *parent_window,SendToList *to_use_send_to);

#endif /* __PREFERENCE_SEND_TO_H__ */
