/****************************************/
/*  PreferenceSendToAddEdit.c headers   */
/*					*/
/*  Description : Bouton Add and Edit of*/
/*	          the send to part of   */
/*		  the preference dialog	*/
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __PREFERENCE_SEND_TO_ADDEDIT_H__
#define __PREFERENCE_SEND_TO_ADDEDIT_H__

/* to define a new widget */
#define PREFERENCE_SEND_TO_ADDEDIT(obj)          GTK_CHECK_CAST (obj, preference_send_to_addedit_get_type(),PreferenceSendToAddedit)
#define PREFERENCE_SEND_TO_ADDEDIT_CLASS(klass)  GTK_CHECK_CLASS_CAST (klass, preference_send_to_addedit_get_type(), PreferenceSendToAddeditClass)
#define IS_PREFERENCE_SEND_TO_ADDEDIT(obj)       GTK_CHECK_TYPE (obj, preference_send_to_addedit_get_type ())

typedef struct _PreferenceSendToAddedit       PreferenceSendToAddedit;
typedef struct _PreferenceSendToAddeditClass  PreferenceSendToAddeditClass;

struct _PreferenceSendToAddedit
{
  GnomeDialog main;

  GtkWidget *program;        /* the program to launch     */
  GtkWidget *program_label;  /* the program label         */
  GtkWidget *browse;         /* the browse program button */
  GtkWidget *browse_dialog;  /* filesel when browse is pressed */

  SendTo    *lasttype;       /* type to init with. NULL = add mode.*/
  SendTo    *beforetype;     /* type we want to insert after. */
  			     /* NULL = at the end.            */
  SendToList *to_use_send_to; /* the SendToList we are working on  */
};

struct _PreferenceSendToAddeditClass
{
  GnomeDialogClass parent_class;

  /* Add here all the signal we want */
   void (* add_type) (PreferenceSendToAddedit *pPreferenceSendToAddedit,
     SendTo *beforetype, SendTo *newtype);
   void (* remove_type) (PreferenceSendToAddedit *pPreferenceSendToAddedit,
     SendTo *removetype);
};

guint preference_send_to_addedit_get_type ();

/* Create a dialog for add or edit. If lasttype = NULL then it */
/* is in add mode else, in edit mode.                          */
/* If beforetype = NULL, insert at the end.                    */
GtkWidget *preference_send_to_addedit_new(SendToList *pSendToList,
  SendTo *beforetype, SendTo *lasttype);

#endif /* __PREFERENCE_SEND_TO_ADDEDIT_H__ */
