/****************************************/
/*  SendTo.c headers                    */
/*					*/
/*  Description : SendTo take care of   */
/*		  send to commands      */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#ifndef __SEND_TO_H__
#define __SEND_TO_H__

typedef struct _SendTo SendTo;

/* possible return error */
#define SEND_TO_PARAM_ERROR  1

struct _SendTo
{
  gchar     *command_str;       /* ex : xv. Can be NULL if no program  */
                                /* is associated.                      */
};

#define send_to_command(pSendTo) pSendTo->command_str

/* Create a new send to command.                               */
/* Return : NULL if impossible and gfile_errno can be set to : */
/* SEND_TO_PARAM_ERROR                                       */
SendTo *send_to_new(gchar *command_str);

/* Free a send to. */
void send_to_free(SendTo *pSendTo);

/* Return a copy of pSendTo                              */
/* or NULL if impossible and gfile_errno can be set to : */
/* FILE_TYPE_PARAM_ERROR                                 */
SendTo *send_to_copy(SendTo *pSendTo);

#endif /* __SEND_TO_H__ */
