/****************************************/
/* TestPreferenceFileType.c body        */
/*					*/
/*  Description :Test the Pref type list*/
/*               widget                 */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

int main(int argc, char **argv)
{ GtkWidget    *vPreferenceFileType;
  FileTypeList *vFileTypeList;
  FileType     *tmp_file_type;
  GtkWidget    *TestMain;

  gnome_init("TestPreferenceFileType", VERSION, argc,argv);

  file_type_set_icon_path("/root/programmation/GFile/icons/");

  g_print("Create vFileType\n");
  vFileTypeList = file_type_list_new();
  g_print("Add two type to vFileTypeList (STRING1 & STRING2)\n");

  tmp_file_type = file_type_new(USER_DEFINED,"STRING1",NULL,
    "unknow.xpm",FALSE,NULL,NULL);
  file_type_list_append_file_type(vFileTypeList,tmp_file_type);
  tmp_file_type = file_type_new(USER_DEFINED,"STRING2","my_pgm",
    "exclam.xpm",FALSE,NULL,NULL);
  file_type_list_append_file_type(vFileTypeList,tmp_file_type);

  file_type_list_add_needed_file_type(vFileTypeList);

  file_type_list_init(vFileTypeList);
  while(file_type_list_is_end(vFileTypeList) == FALSE)
  {
    g_print("> %s\n",file_type_list_current(vFileTypeList)->type_str);
    file_type_list_next(vFileTypeList);
  }
  
  TestMain = gnome_app_new ("TestPreferenceFileType", "TestPreferenceFileType");
  gtk_widget_realize (TestMain);
  gtk_signal_connect (GTK_OBJECT (TestMain), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);
		      
  gtk_widget_realize (TestMain);

  vPreferenceFileType = preference_file_type_new(GTK_WIDGET(TestMain),vFileTypeList);
  gtk_widget_show(vPreferenceFileType);

  gnome_app_set_contents( GNOME_APP(TestMain), vPreferenceFileType);
		      
  gtk_widget_show(TestMain);
  
  gtk_main();
  
  file_type_list_init(vFileTypeList);
  while(file_type_list_is_end(vFileTypeList) == FALSE)
  {
    g_print("> %s\n",file_type_list_current(vFileTypeList)->type_str);
    file_type_list_next(vFileTypeList);
  }
}
