/****************************************/
/* TestPreferenceFileTypeAddEdit.c body */
/*					*/
/*  Description : Test the Addedit      */
/*                dialog                */
/*					*/
/*  Written by : Daniel Lacroix	        */
/*  GFile is under the GPL2 licence     */
/****************************************/

#include "GFile.h"

void add_type_cb(PreferenceFileTypeAddedit *pPreferenceFileTypeAddedit,
  FileType *beforetype, FileType *newtype)
{
  g_print("A new type to add : %s\n",newtype->type_str);
}

void remove_type_cb(PreferenceFileTypeAddedit *pPreferenceFileTypeAddedit,
  FileType *removetype)
{
  g_print("A type to remove : %s\n",removetype->type_str);
}

int main(int argc, char **argv)
{ GtkWidget    *vPreferenceFileTypeAddedit;
  FileTypeList *vFileTypeList;
  FileType     *tmp_file_type;
  
  gnome_init("TestPreferenceFileTypeAddEdit", VERSION, argc,argv);

  file_type_set_icon_path("/root/programmation/GFile/icons/");

  g_print("Create vFileTypeList\n");
  vFileTypeList = file_type_list_new();
  g_print("Add two type to vFileTypeList (STRING1 & STRING2)\n");
    
  tmp_file_type = file_type_new(USER_DEFINED,"STRING1",NULL,
    "/root/programmation/GFile/icons/unknow.xpm",FALSE,NULL,NULL);
  file_type_list_append_file_type(vFileTypeList,tmp_file_type);
  tmp_file_type = file_type_new(USER_DEFINED,"STRING2","my_pgm",
    "/root/programmation/GFile/icons/exclam.xpm",FALSE,NULL,NULL);
  file_type_list_append_file_type(vFileTypeList,tmp_file_type);
  
  file_type_list_init(vFileTypeList);
  while(file_type_list_is_end(vFileTypeList) == FALSE)
  {
    g_print("> %s\n",file_type_list_current(vFileTypeList)->type_str);
    file_type_list_next(vFileTypeList);
  }  

  g_print("Addedit dialog in add mode after STRING1\n");
  file_type_list_init(vFileTypeList);  
  vPreferenceFileTypeAddedit = preference_file_type_addedit_new(vFileTypeList,
    file_type_list_current(vFileTypeList), NULL);

  gtk_signal_connect (GTK_OBJECT(vPreferenceFileTypeAddedit), "add_type",
                      GTK_SIGNAL_FUNC (add_type_cb),
                      NULL);  

  gtk_signal_connect (GTK_OBJECT(vPreferenceFileTypeAddedit), "remove_type",
                      GTK_SIGNAL_FUNC (remove_type_cb),
                      NULL);  

  gtk_signal_connect (GTK_OBJECT(vPreferenceFileTypeAddedit), "destroy",
                      GTK_SIGNAL_FUNC (gtk_main_quit),
                      NULL);
  
  gtk_widget_show(vPreferenceFileTypeAddedit);
  
  gtk_main();
  
  file_type_list_init(vFileTypeList);
  while(file_type_list_is_end(vFileTypeList) == FALSE)
  {
    g_print("> %s\n",file_type_list_current(vFileTypeList)->type_str);
    file_type_list_next(vFileTypeList);
  }    
}
